#include <stdio.h>
#include "X3dSceneGraph.h"

void doWithData(X3dNode *self, void *data) {
    struct Text* text = (struct Text *) self;
    if (text)
        if (text->string_length > 0)
            printf("%s\n", text->string[0]);
}

int main(int argc, char** argv) {
    struct X3dSceneGraph sceneGraph;
    TextDoWithDataCallback = &doWithData;
    X3dSceneGraphInit(&sceneGraph);
    GroupTreeDoWithData(&sceneGraph.root, NULL);
    return 0;
}
